AutoCAD Inventor :: Changing Model Parameter Tolerances?
Nov 11, 2011
Is there a way to change the model parameter tolerances thru the API? I haven't seen this issue in the discussions. I've found the parameter.tolerance property, but it looks like it only returns the tolerance, Is there a way to set the tolerance?
Is it possible to change a Parameter value through iProperties? I have pipe with carries a "Length" parameter for its length. I checked the " Export Parameter" to make this value visible in the iProperties. Is there a way to create a Macro to make this possible? I'd love to be able to change pipe lengths without physically opening the file. This is my first time getting into programming/ macros.
I wish I perform the following code with iLogic. Is it possible to change a model parameter to a reference parameter?
If My_Expression Then' My dimension "d0" is a Driven Dimension' or' My dimension "d0" is a Reference ParameterElse' My dimension "d0" is NOT a Driven Dimension' or' My dimension "d0" is a Model ParameterEnd If
I have a part file ("part1.ipt") that has a user parameter called "Height". When I open this file as a part document, I can modify the "Height" parameter to change the height of the part. This functionality works great:
Set oPartDoc = oApp.Documents.Open(sPartFileName, True) Set oParameters = oPartDoc.ComponentDefinition.Parameters 'change part height to 30 cm oParameters.Item("Height").Expression = 30
Now, I am wanting to add this part to an ASSEMBLY document, then change the parameter to 30, but have been unable to do it. I have this so far:
Dim oAsmCompDef As AssemblyComponentDefinition Set oAsmCompDef = oApp.ActiveDocument.ComponentDefinition Dim oOcc As ComponentOccurrence Set oOcc = oAsmCompDef.Occurrences.Add(sPartFileName, oMatrix)
After I add all the parts, I highlight a part in the assembly pane, I click on FxParameters but I don't see the User Parameters for the part. Are the User Parameters not available when a part is placed into an assembly?
This assembly will have multiple parts added from the same file name, but the "Height" parameter needs to be modified for each occurrence.
Just installed 2013 Pro x64 and I'm doing a little testing. Using Tube and Pipe, I created a few mock pipe runs which are named according to a unique line number. When clicking on the Iproperties of any of these pipe runs, I can see that the value of model parameter "Part Number" now includes the name of the top level assembly and the line number, which is the name I assigned to the pipe run when I created it (see Fig 1 attached). Then in IDW I created a user defined symbol which contains text that I have directed to extract value of "part number" from the model properties, and fill in my symbol with that value (see Fig 2). The problem is, when I tag the pipe run with my custom symbol, the value in the symbol remains blank, instead of giving me the value of "part number". WHAT am I missing??
I have a school project due tomorrow and I am almost completely finished. Except one part says that "Model adjusts correctly as __ varies". When I change a parameter, only that parameter changes and the rest of the part remains the same. I'll attach the assigment. I'll attach my work also if requested.
I set up default tolerances in my part and would like to have them displayed in the drawing. I used the "Retrieve Dimensions" tool but they aren't showing up. I have the Tolerance Method set to Default.
I'm looking for an API function that would allow me to change the active (or default?) row in the table of an iPartFactory model. I was hoping that such a function would be member or property of the iPartFactory object, but I’m not finding that to be the case.
Within the drawing title block we have a 'Text' of type 'Custom Properties - Model' which pulls in a custom iprop from a model which is the models finished weight. This is a common way of auto populating title box entries.
The problem is that the sheet populates the text with the info related to the first viewport placed upon the drawing.
Whilst fine when planned for properly, I quite often encounter upon large multisheet detail drawings, that a user when detailing an IAM, will have forgotten to put the IAM view down first, especially later in the drawing series where the IAM is not required and the user is detailing IPT's.
What I am looking for is a way to change which viewport the border properties are related to ideally, so that if a user has forgotten to place the IAM but has placed 20 IPT's down, I could place an IAM outside of the maximum area, as the 21st object but fool Inventor into thinking this was the first viewport placed down, thus populating the border info correctly.
I don't know of a way to do this currently, either with current Inventor functionality, or by programmatic approach - our current fix is to have the user create another drawing sheet, place the IAM outside the maximum area, copy all his IPT viewports across from the first sheet, then delete the first sheet. Is it possible to change the object order of placed viewports with less disruption?
linked Excel file to Inventor 12 file parameters. Windows 7, Excel MS office professional '10. Linked excel file, here dimensions are driven by parameters which are driven by excel. toggled 'immediate update' Still - i have to open the sketch - it shows the updated number from Excel, but only on opening the sketch will it change the model to use the new dimension value.
I have user parameters that are no longer needed and are not being used anywhere. They each takes 4-5 seconds to delete, prior to 2012 this would happen instantly.
I got a deadline for my project, but I got a big problem:
"I cannot set the "parameter" for the End Value in Parameter Animate dialog"
For easy understand, let's see a example:
1. I got a part which has two parameters named: "A" and "MaxA" 2. I animate Favorited parameter A. 3. The End Value is MaxA_ (Everything is ok) 4. I finish Studio environment, then I change parameter MaxA_ from 200 mm to 400 mm 5. I turn back to Studio environment, the End Value now is "200 mm" (I want this will be MaxA_, so I can animate the flexible parameter).
show me how to keep the end value will be "MaxA_" after I change parameter?
I am trying to publish to the CC a guide rail. The vendor of the rail gives me the option of entering the desired length of the rail. After that he gives me the option to choose between the length that I entered and a shorter and longer standard length witch can be delivered faster.
I want to do the same thing with my published part, but I cannot make a key parameter to change depending on the entered custom parameter. I want the user to make the next steps when inserting from the CC: 1- select the size of the rail; 2-select the type of the rail; 3- enter the desired length of the rail; 4- choose between the desired length and the 2 recommended lengths (I need these 3 lengths to be shown)
I have this Dynamic Block which has a few distance parameters on it and an attribute at beginning of each parameter which are attached to a stretch action. If manually bring the block in. And set a value to attribute and then stretch the it , attribute move along with action. But when I do it pragmatically it doesn't . Basically attribute stays at original location of original block before stretch. What is wrong with my code. Or Shall I do something to Attributes when I change the distance parameters in Program? I don't know .
I have a function which bring the block in and set attribute first and then another call which change the distance . So I don't show the first function which to me works fine . The problem is this part.
For Each myBRP As DynamicBlockReferenceProperty In myBRC For I = 1 To NumbderOfDistanceParamsinDynBlk If myBRP.PropertyName = "Distance" & Trim(i.ToString) Then myBRP.Value = DynDistancevalue(i) End If Next Next
I'd like to change a layer's color from command line because of a user icon. I figured out from previous topics that I should use macro similar to this: ^C^C_filedia;0;-la;s;Verdeckt (ISO);c;1;l;dashed;;_filedia;1;re;
(I want to use this macro to change layer's linetype, too, but that's not the point)
The only problem with this macro: layer's name contains a space therefore Autocad tries to recognize Verdeckt as a command (and macro interrupts there) instead of setting Verdeckt (ISO) as the current layer. I've tried using different quote marks, none of them worked (' and " and <>). I hope there's a method for entering a parameter that contains space.
Software: Inventor Series 2011 SP1 x64 OS: Vista Business x64 CPU: E6400 RAM: 2*2Gb GeIL VGA: Quadro FX 550
Is there a way to change a common parameter of multible objects — For example scale x parameter, or Length Segs parameter of say 20 box objects, and change that parameter for all of them as as easily as changing one? I used Max long long ago, but am coming from a Maya and Softimage background.
I would like to show both imperial and metric values in my dimensions, but I only want tolerances to be shown in imperial. Is there a way to remove alternate unit tolerances in AutoCad 2014? alt. tol..jpg
I'm having a small problem with some drawings that have been sent to me for setting out on site. Basically I have 3 separate sets of drawings from architects and engineers, all of the same building but all using a different co-ordinate system. I know that the engineers is using the correct grid for my setting out but unfortunately I only have it in pdf. so I can't copy and paste layers from the other drawings into it.
Is there a way that I can alter the co-ordinates of the other 2 drawings in model space to shift them to the correct grid system?
I'm new to AutoCAD 3D and Rendering. In a model I'm currently working on, the colors I have in the 3D model become different colors when I create a rendering. For instance, in the model I'm working on, in the model, the object is blue, when I render it, it's grey. Is there a setting I need to change?
I want to finetune tolerances so I can in example change from 68% (not enough coverage) to 69% (about perfect), but instead it jumps to 70% or 71% (waaaay too much selected).
Is it possible to write a plugin to
* Mousewheel it (pointer over tolerance bar, scroll wheel, tolerance changes) or even * press context button (mouse button 2) and spawn a dedicated input box to "hand it in"?
My problem today is that I made a Model of a Part of a ship using surfaces rather than solids because the engineer thought it would be easier to bring into ANSYS program for analysis but he is now having a problem with it and I am looking into converting my current model to solid. I can do it but the method I thought of using is quite long winded and we are working to a tight deadline.
1.open up the surface part
2.use "Offset/Thicken"
3.any clashes between parts make a sketch and cut away.
the problem is the amount of plates I have and the time it takes to sort them out.
I'm using 2004lt- I have current .dwg in modelspace and set up to plot in PS@ 3/23"-1'-0". I'd like to create a second set of PS tabs to plot portions at 1/4"-1'-0" on the same border when needed.
In its a single viewport in MS and PS the current scale is 1:1 but if i change it to 1/4"-1',etc the plot preview appears wrong
Designing a tailing dam I use a corridor model changing slope grade from 1:2 to 1:2.5.
There are assemblies and subassemblies with shapes defined for each slope grade, LinkMulti with no target, but how do I make the transition from one slope grade to another one?
In corridor properties I included two regions for each slope grade.
For grading there is a transition function. But the transition for corridors?
The attached files are two sprockets. The original part has 30 teeth. I need 34 teeth.
The MODIFIED part has one of my attempts at making 34 teeth. I have tried the following with the same error dialog box (see below):
1. Edit Sketch_6 (associated with Extrusion1) by deleting all but one of the teeth lines (2 arcs and 2 lines that make up a tooth) and making a circular pattern of 34.
2. Same circular pattern, except this time I "Close the Loop" (right-click on one of the teeth line segments > Close Loop > click on all the segments until the loop is closed).
3. Same circular pattern, except this time change the resulting patterned lines into construction lines, trace these lines with arcs and lines of my own (not construction lines), and close the loop on my own lines.
When each of the 3 attempts failed, I tried deleting Extrusion1 and making a new Extrusion feature from Sketch_6. I cannot select what I want in Sketch_6 in order to make the teeth.
I'm at the point where I'm just going to take the dimensions from the circular pattern sketch of 34 teeth, delete Extrusion1 and Sketch_6, and make my own sketch and extrusion.
For the future, I really would like to know - why is it so difficult to alter features like this? Yes, I understand that Sketch_6 is not fully constrained, and on top of this I am not privy to how it was generated in the first place (this is a part file from a vendor). But it does not strike me as something overly complicated for the Extrusion feature to recognize a change in its associated sketch. This is not the first time I have encountered something like this.